
Redmine - Feature #9700

Allow to configure the visibility of the fields of the “New issue” form per role

2011-11-30 16:01 - Hugues De Keyzer

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

All fields of the “New issue” form are visible to every role. This is not ideal, as a reporter can enter values that normally only a

manager or a developer should enter, such as assignee, start and due date, estimated time,… Moreover, it unnecessarily

complicates the form for less technical users.

It would be nice to be able to configure the visibility of the fields of this form per role. If configuring the visibility of each field is not

feasible, a possibility would be to have a permission to set values for the “advanced” fields. I consider that the basic fields that should

always be displayed are:

Tracker

Subject

Description

Files (to allow to join screenshots etc.)

All other fields should not be displayed in the form if the user doesn’t have the permission to set them. It should be possible to

configure whether custom fields are “basic” or “advanced”.

Related issues:

Related to Redmine - Feature #1091: Disabling default ticket fields per tracker Closed 2008-04-23

Related to Redmine - Feature #8050: Mightful workflow field enhancement:  vis... Closed 2011-04-03

Is duplicate of Redmine - Feature #5011: Limit Visible Issue Fields Based on ... Closed 2010-03-08

History

#1 - 2011-11-30 17:22 - Etienne Massip

- Category set to Issues

It's a duplicate of some existing issue.

#2 - 2011-11-30 17:40 - Hugues De Keyzer

Etienne Massip wrote:

It's a duplicate of some existing issue.

 Issue #1091 is related, but different, as it is about disabling default fields per tracker, not per role.

#3 - 2011-12-05 01:04 - Mischa The Evil

Added relations to #1091 and #8050.

#4 - 2011-12-11 18:35 - pasquale [:dedalus]

- Status changed from New to Resolved

it's a dupe of bug #5011

#5 - 2011-12-11 18:36 - pasquale [:dedalus]

ps: I can't set resolution=> duplicate (I haven't the permission)

#6 - 2011-12-12 09:50 - Etienne Massip
- Status changed from Resolved to Closed

- Resolution set to Duplicate

Closed as duplicate of #5037.

#7 - 2011-12-12 10:00 - Hugues De Keyzer

Etienne Massip wrote:

Closed as duplicate of #5037.

 #5037 is about custom fields only. This is a duplicate of #5011, as pasquale [:dedalus] noted.

#8 - 2011-12-12 11:18 - Etienne Massip

Hugues De Keyzer wrote:

Etienne Massip wrote:

Closed as duplicate of #5037.

 #5037 is about custom fields only. This is a duplicate of #5011, as pasquale [:dedalus] noted.

 #5037 original topic was about all types of fields and roles, and #5011 was not referring explicitly to roles, that's why I set #5037 as duplicate.

Anyway, if you prefer =)
